%global commit 5ad492cb4ce7fb308ed9c9be0fe7b76ef3cf93c5
%global short_commit %(c=%{commit}; echo ${c:0:7})
%global commit_date 20161003

Name:           libvmi
Version:        0.11.0
Release:        1.%{commit_date}git%{short_commit}%{?dist}
Summary:        A library for performing virtual-machine introspection

License:        LGPLv3+
URL:            http://libvmi.com/
Source0:        https://github.com/%{name}/%{name}/archive/%{name}-%{commit}.tar.gz
# Cannot presently build on other architectures.
ExclusiveArch: x86_64

# Upstream: https://github.com/libvmi/libvmi/pull/395
Patch0:         libvmi-fix-warnings.patch 

BuildRequires:  autoconf automake libtool
BuildRequires:  gcc bison flex xen-devel fuse-devel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(libvirt)

%description
LibVMI is a C library with Python bindings that makes it easy to monitor
the low-level details of a running virtual machine by viewing its memory,
trapping on hardware events, and accessing the vCPU registers.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n libvmi-%{commit} -p1

%build
./autogen.sh
%configure \
	--disable-static \
	--enable-kvm \
	--enable-vmifs \
	--enable-xen
%make_build

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -delete -print
# Do not pollute program namespace with examples. Instead, install src as doc.
rm -vf %{buildroot}%{_bindir}/*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING.LESSER
%doc README
%{_libdir}/libvmi-0.11.so

%files devel
%doc examples/*.c
%{_includedir}/%{name}/
%{_libdir}/libvmi.so
%{_libdir}/pkgconfig/libvmi.pc

%changelog
* Tue Jul 12 2016 W. Michael Petullo <mike@flyn.org> - 0.10.1-1
- Initial package 
